# script for most of game events for good experience in PyWeek version
# development of the game will be continued after the challenge

import random
from . import tiledmaps

elevator_sparkles = [2,6,12] # elevates
min_floor = 0
max_floor = 20

ROOM_MAPS = 6 # todo: replace by listdir with search
floor = 0

def load_random():
	global roomids, room_maps, knockers, loot

	knockers = list(range(2, 18))
	random.shuffle(knockers)
	knockers = knockers[14:]

	roomids = [0]*7+[1]*10+[2]*3
	random.shuffle(roomids)

def load():
	global roomids, room_maps, knockers, loot, things, floor
	floor = 0

	room_maps = []
	for i in range(ROOM_MAPS):
		room_map = tiledmaps.load_map('room_%s.json' % i)
		room_map.build_image()
		room_maps.append(room_map)

	knockers = list(range(2, 18))
	random.shuffle(knockers)
	knockers = knockers[13:]

	things = list(range(1, 19))
	random.shuffle(things)
	things = things[13:]

	loot = {}
	loot['1_1'] = 'battery'

	roomids = [0,1,0,2, 1,4,5,4,1,2,0,1,4,2,5,4,1,2,1,3,1]

	for i in range(3):
		lootfloor = random.randint(0, 19)
		room = room_maps[roomids[lootfloor]]
		drawer = random.randint(0, len(room.objects['drawers'])-1)
		loot['%s_%s' % (lootfloor, drawer)] = 'fuel'

	for i in range(6):
		while True:
			lootfloor = random.randint(0, 19)
			drawer = random.randint(0, 3)
			id = '%s_%s' % (lootfloor, drawer)
			if not id in loot:
				break
		loot[id] = 'battery'
