import math

class vec2:
	def __init__(self, x=0.0, y=0.0):
		self.x = x
		self.y = y

	def len2(self):
		return self.x*self.x+self.y*self.y

	def len(self):
		return math.sqrt(self.x*self.x+self.y*self.y)

	def dst2(self, vec):
		return (self.x-vec.x)**2+(self.y-vec.y)**2

	def dst(self, vec):
		return math.sqrt((self.x-vec.x)**2+(self.y-vec.y)**2)

	def cpy(self):
		return vec2(self.x, self.y)

	def __str__(self):
		return 'vec2(%s,%s)' % (self.x, self.y)
	__repr__ = __str__
